
#include <windows.h>
#include "../../../plugin.h"
#include "resource.h"

BOOL Init(void);
void Quit(void);
void Config(PREFS* prefs, CONFIGPARAM* configparam);
void Command(COMMANDPARAM* param);
void Description(COMMANDARGV* argv, LPWSTR lpszText, int nLength);

PLUGIN plugin = {
	PLUGIN_VERSION,
	L"EBhEANeBuɂ",
	Init,
	Quit,
	Config,
	Command,
	Description
};

EXTERN_C PLUGIN * WINAPI GetPlugin(void)
{
	return &plugin;
}

BOOL Init(void)
{
	return TRUE;
}

void Quit(void)
{
}

void Config(PREFS* prefs, CONFIGPARAM* configparam)
{
}

void Command(COMMANDPARAM* param)
{
	if(GetForegroundWindow()!=GetAncestor(param->hwnd, GA_ROOT))
	{
		SetForegroundWindow(plugin.hwndParent);
		BringWindowToTop(param->hwnd);
	}
}

void Description(COMMANDARGV* argv, LPWSTR lpszText, int nLength)
{
	lstrcpynW(lpszText, TEXT("EBhEANeBuɂ"), nLength);
}
